#
# spec file for package python-XStatic-jQuery
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-XStatic-jQuery
Version:        3.5.1.1
Release:        1.10
Summary:        jQuery repackaged for the XStatic standard
License:        MIT
URL:            http://jquery.com/
Source:         https://files.pythonhosted.org/packages/source/X/XStatic-jQuery/XStatic-jQuery-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros

%python_subpackages

%description
jQuery javascript library packaged for setuptools (easy_install) / pip.
There are otherwise no changes.

You can find more info about the xstatic packaging way in the package `XStatic`.

%prep
%setup -q -n XStatic-jQuery-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Thu Sep 22 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 3.5.1.1:
  * CSS: Don’t trim whitespace of undefined custom property
  * Selector: Use jQuery `:has` if `CSS.supports(selector(...))` non-compliant
  * Upgrade: Bump actions/setup-node from 3.3.0 to 3.4.1
  * Core: Drop the root parameter of jQuery.fn.init
  * Tests: Fix the link to QUnit CSS file
  * Docs: Remove git.io from a GitHub Actions comment
  * Docs: Update webpack website in README
  * Tests: Exclude tests based on compilation flags, not API presence
  * Build: Update GitHub Actions
  * Build: Add dependabot.yml config (GitHub Actions)
  * Docs: add link to patchwelcome and help wanted issues
  * Build: Test on Node 17, update Grunt & `karma-*` packages
  * Effects: Remove jQuery.fx.interval
  * Tests: Workaround an XML parsing bug in Firefox
  * Docs: add link to preview the new CLAs
  * CSS: Skip falsy values in `addClass( array )`, compress code
  * Core: Don't rely on splice being present on input
  * Docs: Fix incorrect `trac-NUMBER` references
  * Tests: lock colors version to 1.4.0
  * Docs: remove expired links from old jquery source (#4997)
  * Docs: Remove links to Web Archive from source
  * Build: Separate the install step from running tests in GitHub Actions
  * Docs: Replace `#NUMBER` Trac issue references with `trac-NUMBER`
  * CSS: Justify use of rtrim on CSS property values
  * Build: remove travis.yml and travis mentions from core (#4983)
  * Tests: Skip ETag AJAX tests on TestSwarm
  * Tests: Allow statusText to be "success" in AJAX tests
  * Build: Migrate CI to GitHub Actions
  * Docs: Update the URL to the latest jQuery build in CONTRIBUTING.md
  * Attributes: Don't stringify attributes in the setter
  * Tests: Make Karma browser timeout larger than the QUnit one
  * Build: Update ESLint & eslint-plugin-import, fixing the build
  * Docs: Remove the CLA checkbox in the pull request template
  * Core:Manipulation: Add basic TrustedHTML support
  * Tests: Don't remove csp.log in the cspClean action of mock.php
  * Tests: Load the TestSwarm listener via HTTPS
  * CSS: Trim whitespace surrounding CSS Custom Properties values
  * Docs: update irc to Libera and fix LAMP dead link
  * Manipulation: Don't remove HTML comments from scripts
  * Build: Test on Node.js 16 instead of 15
  * Tests: Switch background image from online file to local 1x1.jpg
  * Event: Don't break focus triggering after `.on(focus).off(focus)`
* Wed Sep  2 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 3.4.1.0:
  * No upstream changelog
* Tue Jan  8 2019 Jan Engelhardt <jengelh@inai.de>
- Update descriptions.
* Wed Jan  2 2019 Thomas Bechtold <tbechtold@suse.com>
- update to 1.12.4.1:
  No changelog provided by upstream
- convert to singlespec
* Fri Sep 12 2014 dmueller@suse.com
- Initial package
